Skip to content

This ClamAV version has reached End of Life! Please upgrade to version 0.95 or later – Debian Lenny

This ClamAV version has reached End of Life! Please upgrade to version 0.95 or later

If you are using Debian Lenny with Amavis and ClamAV you probably noticed that email is not being delivered anymore. Maybe you noticed the following in your mail.log:

This ClamAV version has reached End of Life! Please upgrade to version 0.95 or later”

Clamav announced that on the 16th of April 2010 all support will beĀ  dropped for versions before 0.95. Debian Lenny stable branch has ClamAV 0.94 this version can no longer be used. Debian can be quite slow with updating packages that reach end-of-life. This is the best workaround until a new package is merged into the stable branch.

You can fix this issue by using clamav from the volatile branch for now

To do this you follow these steps:

  1. as root: edit the /etc/apt/sources.list add the following lineĀ  without the quotes ” deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free “
  2. as root: apt-get update
  3. as root: apt-get remove clamav
  4. as root: apt-get install clamav
  5. as root: /etc/init.d/clamav-daemon restart

If all goes well you should be receiving your queued e-mail as well. If you are in need of help I do offer

remote system administration services for Linux Servers.

Rudolf Maduro (IT specialist)

Note: I assume no responsibility when the above information is used. Any damages to you or your users after using this procedure is your own responsibility. This information is given for educational purposes only.

Published inDebian Lenny

Be First to Comment

Leave a Reply

Your email address will not be published. Required fields are marked *